%def_disable static
#define _optlevel s

Name: libpqxx
Version: 2.6.8
Release: alt1
Serial: 1

Group: System/Libraries
Summary: C++ API to the PostgreSQL database management system
License: BSD
URL: http://pqxx.org/
#http://thaiopensource.org/development/libpqxx/
Source: %name-%version.tar.gz
Patch1: libpqxx-2.6.8-alt-fix-compile.patch

# Automatically added by buildreq on Fri Apr 14 2006 (-bi)
#BuildRequires: doxygen gcc-c++ gcc-g77 glibc-devel-static graphviz linux-libc-headers pkg-config postgresql-devel python-modules-compiler python-modules-encodings
BuildRequires: doxygen gcc-c++ glibc-devel pkg-config postgresql-devel

%package devel
Summary: Development files for the %name package
Group: Development/C
Requires: %name = %version-%release
Requires: postgresql-devel

%package devel-static
Summary: Static libraries for the %name-devel package
Group: Development/C
Requires: %name-devel = %version-%release

%description
Package contains C++ API to the PostgreSQL database management system.
The library builds on top of PostgreSQL's standard C API, libpq.

%description devel
Package contains C headers for %name client development.

%description devel-static
Package contains static libraries for %name client development.

%prep
%setup -q
%patch1 -p1
%__autoreconf
chmod 0644 COPYING ||:

%build
%configure \
    %{subst_enable static} \
    --enable-shared \
    --enable-dependency-tracking \
    --disable-rpath
%make_build
#%make check

%install
%make install DESTDIR=%buildroot

%post	-p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/%name-%version.so
#%_bindir/gpg-error
%doc AUTHORS NEWS README* COPYING

%files devel
%doc AUTHORS ChangeLog TODO COPYING doc/html
%_bindir/pqxx-config
%_libdir/%name.so
%_includedir/pqxx
%_libdir/pkgconfig/%name.pc

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Apr 02 2007 Sergey V Turchin <zerg at altlinux dot org> 1:2.6.8-alt1
- fallback to previos version

* Thu Mar 29 2007 Sergey V Turchin <zerg at altlinux dot org> 2.6.9-alt1
- new version

* Tue Oct 17 2006 Sergey V Turchin <zerg at altlinux dot org> 2.6.8-alt1
- new version

* Mon Jul 03 2006 Sergey V Turchin <zerg at altlinux dot org> 2.6.7-alt1
- new version

* Fri Apr 14 2006 Sergey V Turchin <zerg at altlinux dot org> 2.5.5-alt2
- fix includes place

* Fri Apr 14 2006 Sergey V Turchin <zerg at altlinux dot org> 2.5.5-alt1
- initial spec-file

